Bug 189011

Summary: LLDB tests may use wrong configuration of lldbWebKitTester
Product: WebKit Reporter: Daniel Bates <dbates>
Component: Tools / TestsAssignee: Daniel Bates <dbates>
Status: RESOLVED FIXED    
Severity: Normal CC: dino, ews-watchlist, glenn, lforschler, ryanhaddad, simon.fraser, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Local Build   
Hardware: Mac   
OS: macOS 10.13   
Bug Depends on: 188936    
Bug Blocks:    
Attachments:
Description Flags
Patch none

Description Daniel Bates 2018-08-27 15:01:14 PDT
Repeating what I wrote in bug #188936, comment 9:

For some reason the tests lldb_webkit_unittest.TestSummaryProviders.serial_test_WTFOptionSetProvider_simple and lldb_webkit_unittest.TestSummaryProviders.serial_test_WTFOptionSet_SummaryProvider_simple, included in this change, are failing on the Apple High Sierra Debug and Apple Sierra Debug bots. These tests do not fail on the Release variants of these bots (why?). The following is the failure output:

[[
[1772/1787] lldb_webkit_unittest.TestSummaryProviders.serial_test_WTFOptionSetProvider_simple
[1773/1787] lldb_webkit_unittest.TestSummaryProviders.serial_test_WTFOptionSetProvider_simple erred:
  Traceback (most recent call last):
    File "/Volumes/Data/slave/highsierra-debug-tests-wk2/build/Tools/lldb/lldb_webkit_unittest.py", line 193, in serial_test_WTFOptionSetProvider_simple
      self.assertEqual(provider.get_child_at_index(0).GetName(), 'A')
  AttributeError: 'NoneType' object has no attribute 'GetName'
...
[1779/1787] lldb_webkit_unittest.TestSummaryProviders.serial_test_WTFOptionSet_SummaryProvider_simple failed:
  Traceback (most recent call last):
    File "/Volumes/Data/slave/highsierra-debug-tests-wk2/build/Tools/lldb/lldb_webkit_unittest.py", line 181, in serial_test_WTFOptionSet_SummaryProvider_simple
      self.assertEqual(summary, "{ size = 3 }")
  AssertionError: '{ size = 0 }' != '{ size = 3 }'
[1779/1787] dump_class_layout_unittest.TestDumpClassLayout.serial_test_ClassWithTwoVirtualBaseClasses
]]
<https://build.webkit.org/builders/Apple%20High%20Sierra%20Debug%20WK2%20%28Tests%29/builds/4639/steps/webkitpy-test/logs/stdio>

Same error seen on Apple Sierra Debug WK1 (Tests):
<https://build.webkit.org/builders/Apple%20Sierra%20Debug%20WK1%20%28Tests%29/builds/9271/steps/webkitpy-test/logs/stdio>

For completeness, the Apple Sierra Release WK2 (Tests) and High Sierra Release WK2 (Tests) output of test-webkitpy is at <https://build.webkit.org/builders/Apple%20Sierra%20Release%20WK2%20%28Tests%29/builds/11327/steps/webkitpy-test/logs/stdio> and <https://build.webkit.org/builders/Apple%20High%20Sierra%20Release%20WK2%20%28Tests%29/builds/6406/steps/webkitpy-test/logs/stdio>, respectively.
[tag] [reply] [−] Comment 10
Comment 1 Daniel Bates 2018-08-27 15:20:24 PDT
Reverted the tests in <https://trac.webkit.org/r235404>.
Comment 2 Daniel Bates 2018-09-28 10:34:20 PDT
Created attachment 351092 [details]
Patch
Comment 3 Daniel Bates 2018-10-01 10:22:58 PDT
Comment on attachment 351092 [details]
Patch

Clearing flags on attachment: 351092

Committed r236667: <https://trac.webkit.org/changeset/236667>
Comment 4 Daniel Bates 2018-10-01 10:23:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2018-10-01 10:23:22 PDT
<rdar://problem/44912306>